#include "nmea.h"
#include <stdio.h>
#include <string.h>
#include <stdint.h>

void nmea_make_message(char *buf, const char *content)
{
    uint8_t sum = 0;
    int len = strlen(content);
    for (int i = 1; i < len; i++)
        sum = sum ^ content[i];
    sprintf(buf, "%s*%02X\r\n", content, sum);
}


int nmea_is_checksum_good(char *line)
{
    char buf[5];
    int len;
    uint8_t sum = 0;

    len = strlen(line);
    if (6 >= len)
        return 0;
    for (int i = 1; i < len - 5; i++)
        sum = sum ^ line[i];
    sprintf(buf, "*%02X\r\n", sum);

    for (int i = 0; i < 5; i++)
        if (line[len - 5 + i] != buf[i])
            return 0;
    return 1;
}
