#ifndef __UBX_H__
#define __UBX_H__

#include <stdint.h>


// create UBX frame and store in in res buffer
// returns length of frame
int ubx_make_message(uint8_t *res, char msgClass, char msgId, uint8_t *data, int dataLen);

// returns non-zero if complete frame was reeived
// if start and length is not null it filled with message frame start and message frame length
int ubx_is_message_reeived(uint8_t *data, int len, int *start, int *length);

// creates navigation update rate message (CFG-HNR)
// returns length of message (16)
int ubx_make_rate_message(uint8_t *res, int rate);

// create UBX-CFG-RATE message
int ubx_make_rates_message(uint8_t *res, int rate);

// create CFG-NAV5 message to change dynamic platform model only
int ubx_make_platform_model_message(uint8_t *res, int model);

#endif

